## Package visad.data.units

Interface Summary
UnitParserConstants
UnitsDB: The units database interface.

Class Summary
DefaultUnitsDB: Default units database.
Parser: Class for parsing unit specifications.
SimpleCharStream: An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (without unicode processing).
Token: Describes the input token stream.
UnitParser
UnitParser.JJCalls
UnitParserTokenManager
UnitPrefix: Class for representing unit prefixes.
UnitTable: Provides support for a table of units.

Exception Summary
NoSuchUnitException: Exception thrown when a unit specification can't be parsed because of an unknown unit.
ParseException: This exception is thrown when parse errors are encountered.

Error Summary
TokenMgrError